Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network202.2.32.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
202.2.32.0
Broadcast address
202.2.47.255
First usable
202.2.32.1
Last usable
202.2.47.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
C (default /24)
As numbers
Hex CA022000 · Integer 3389136896 to 3389140991
Reverse DNS zones
32.2.202.in-addr.arpa
33.2.202.in-addr.arpa
34.2.202.in-addr.arpa
35.2.202.in-addr.arpa
36.2.202.in-addr.arpa
37.2.202.in-addr.arpa
38.2.202.in-addr.arpa
39.2.202.in-addr.arpa
40.2.202.in-addr.arpa
41.2.202.in-addr.arpa
42.2.202.in-addr.arpa
43.2.202.in-addr.arpa
44.2.202.in-addr.arpa
45.2.202.in-addr.arpa
46.2.202.in-addr.arpa
47.2.202.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11001010.00000010.00100000.00000000202.2.32.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network11001010.00000010.00100000.00000000202.2.32.0
Broadcast11001010.00000010.00101111.11111111202.2.47.255
Split into smaller subnets/31

202.2.32.0/20 makes 2,048 subnets of /31; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1202.2.32.0/31202.2.32.0 to 202.2.32.1—2
2202.2.32.2/31202.2.32.2 to 202.2.32.3—2
3202.2.32.4/31202.2.32.4 to 202.2.32.5—2
4202.2.32.6/31202.2.32.6 to 202.2.32.7—2
5202.2.32.8/31202.2.32.8 to 202.2.32.9—2
6202.2.32.10/31202.2.32.10 to 202.2.32.11—2
7202.2.32.12/31202.2.32.12 to 202.2.32.13—2
8202.2.32.14/31202.2.32.14 to 202.2.32.15—2
9202.2.32.16/31202.2.32.16 to 202.2.32.17—2
10202.2.32.18/31202.2.32.18 to 202.2.32.19—2
11202.2.32.20/31202.2.32.20 to 202.2.32.21—2
12202.2.32.22/31202.2.32.22 to 202.2.32.23—2
13202.2.32.24/31202.2.32.24 to 202.2.32.25—2
14202.2.32.26/31202.2.32.26 to 202.2.32.27—2
15202.2.32.28/31202.2.32.28 to 202.2.32.29—2
16202.2.32.30/31202.2.32.30 to 202.2.32.31—2
17202.2.32.32/31202.2.32.32 to 202.2.32.33—2
18202.2.32.34/31202.2.32.34 to 202.2.32.35—2
19202.2.32.36/31202.2.32.36 to 202.2.32.37—2
20202.2.32.38/31202.2.32.38 to 202.2.32.39—2
21202.2.32.40/31202.2.32.40 to 202.2.32.41—2
22202.2.32.42/31202.2.32.42 to 202.2.32.43—2
23202.2.32.44/31202.2.32.44 to 202.2.32.45—2
24202.2.32.46/31202.2.32.46 to 202.2.32.47—2
25202.2.32.48/31202.2.32.48 to 202.2.32.49—2
26202.2.32.50/31202.2.32.50 to 202.2.32.51—2
27202.2.32.52/31202.2.32.52 to 202.2.32.53—2
28202.2.32.54/31202.2.32.54 to 202.2.32.55—2
29202.2.32.56/31202.2.32.56 to 202.2.32.57—2
30202.2.32.58/31202.2.32.58 to 202.2.32.59—2
31202.2.32.60/31202.2.32.60 to 202.2.32.61—2
32202.2.32.62/31202.2.32.62 to 202.2.32.63—2
33202.2.32.64/31202.2.32.64 to 202.2.32.65—2
34202.2.32.66/31202.2.32.66 to 202.2.32.67—2
35202.2.32.68/31202.2.32.68 to 202.2.32.69—2
36202.2.32.70/31202.2.32.70 to 202.2.32.71—2
37202.2.32.72/31202.2.32.72 to 202.2.32.73—2
38202.2.32.74/31202.2.32.74 to 202.2.32.75—2
39202.2.32.76/31202.2.32.76 to 202.2.32.77—2
40202.2.32.78/31202.2.32.78 to 202.2.32.79—2
41202.2.32.80/31202.2.32.80 to 202.2.32.81—2
42202.2.32.82/31202.2.32.82 to 202.2.32.83—2
43202.2.32.84/31202.2.32.84 to 202.2.32.85—2
44202.2.32.86/31202.2.32.86 to 202.2.32.87—2
45202.2.32.88/31202.2.32.88 to 202.2.32.89—2
46202.2.32.90/31202.2.32.90 to 202.2.32.91—2
47202.2.32.92/31202.2.32.92 to 202.2.32.93—2
48202.2.32.94/31202.2.32.94 to 202.2.32.95—2
49202.2.32.96/31202.2.32.96 to 202.2.32.97—2
50202.2.32.98/31202.2.32.98 to 202.2.32.99—2
51202.2.32.100/31202.2.32.100 to 202.2.32.101—2
52202.2.32.102/31202.2.32.102 to 202.2.32.103—2
53202.2.32.104/31202.2.32.104 to 202.2.32.105—2
54202.2.32.106/31202.2.32.106 to 202.2.32.107—2
55202.2.32.108/31202.2.32.108 to 202.2.32.109—2
56202.2.32.110/31202.2.32.110 to 202.2.32.111—2
57202.2.32.112/31202.2.32.112 to 202.2.32.113—2
58202.2.32.114/31202.2.32.114 to 202.2.32.115—2
59202.2.32.116/31202.2.32.116 to 202.2.32.117—2
60202.2.32.118/31202.2.32.118 to 202.2.32.119—2
61202.2.32.120/31202.2.32.120 to 202.2.32.121—2
62202.2.32.122/31202.2.32.122 to 202.2.32.123—2
63202.2.32.124/31202.2.32.124 to 202.2.32.125—2
64202.2.32.126/31202.2.32.126 to 202.2.32.127—2
65202.2.32.128/31202.2.32.128 to 202.2.32.129—2
66202.2.32.130/31202.2.32.130 to 202.2.32.131—2
67202.2.32.132/31202.2.32.132 to 202.2.32.133—2
68202.2.32.134/31202.2.32.134 to 202.2.32.135—2
69202.2.32.136/31202.2.32.136 to 202.2.32.137—2
70202.2.32.138/31202.2.32.138 to 202.2.32.139—2
71202.2.32.140/31202.2.32.140 to 202.2.32.141—2
72202.2.32.142/31202.2.32.142 to 202.2.32.143—2
73202.2.32.144/31202.2.32.144 to 202.2.32.145—2
74202.2.32.146/31202.2.32.146 to 202.2.32.147—2
75202.2.32.148/31202.2.32.148 to 202.2.32.149—2
76202.2.32.150/31202.2.32.150 to 202.2.32.151—2
77202.2.32.152/31202.2.32.152 to 202.2.32.153—2
78202.2.32.154/31202.2.32.154 to 202.2.32.155—2
79202.2.32.156/31202.2.32.156 to 202.2.32.157—2
80202.2.32.158/31202.2.32.158 to 202.2.32.159—2
81202.2.32.160/31202.2.32.160 to 202.2.32.161—2
82202.2.32.162/31202.2.32.162 to 202.2.32.163—2
83202.2.32.164/31202.2.32.164 to 202.2.32.165—2
84202.2.32.166/31202.2.32.166 to 202.2.32.167—2
85202.2.32.168/31202.2.32.168 to 202.2.32.169—2
86202.2.32.170/31202.2.32.170 to 202.2.32.171—2
87202.2.32.172/31202.2.32.172 to 202.2.32.173—2
88202.2.32.174/31202.2.32.174 to 202.2.32.175—2
89202.2.32.176/31202.2.32.176 to 202.2.32.177—2
90202.2.32.178/31202.2.32.178 to 202.2.32.179—2
91202.2.32.180/31202.2.32.180 to 202.2.32.181—2
92202.2.32.182/31202.2.32.182 to 202.2.32.183—2
93202.2.32.184/31202.2.32.184 to 202.2.32.185—2
94202.2.32.186/31202.2.32.186 to 202.2.32.187—2
95202.2.32.188/31202.2.32.188 to 202.2.32.189—2
96202.2.32.190/31202.2.32.190 to 202.2.32.191—2
97202.2.32.192/31202.2.32.192 to 202.2.32.193—2
98202.2.32.194/31202.2.32.194 to 202.2.32.195—2
99202.2.32.196/31202.2.32.196 to 202.2.32.197—2
100202.2.32.198/31202.2.32.198 to 202.2.32.199—2
101202.2.32.200/31202.2.32.200 to 202.2.32.201—2
102202.2.32.202/31202.2.32.202 to 202.2.32.203—2
103202.2.32.204/31202.2.32.204 to 202.2.32.205—2
104202.2.32.206/31202.2.32.206 to 202.2.32.207—2
105202.2.32.208/31202.2.32.208 to 202.2.32.209—2
106202.2.32.210/31202.2.32.210 to 202.2.32.211—2
107202.2.32.212/31202.2.32.212 to 202.2.32.213—2
108202.2.32.214/31202.2.32.214 to 202.2.32.215—2
109202.2.32.216/31202.2.32.216 to 202.2.32.217—2
110202.2.32.218/31202.2.32.218 to 202.2.32.219—2
111202.2.32.220/31202.2.32.220 to 202.2.32.221—2
112202.2.32.222/31202.2.32.222 to 202.2.32.223—2
113202.2.32.224/31202.2.32.224 to 202.2.32.225—2
114202.2.32.226/31202.2.32.226 to 202.2.32.227—2
115202.2.32.228/31202.2.32.228 to 202.2.32.229—2
116202.2.32.230/31202.2.32.230 to 202.2.32.231—2
117202.2.32.232/31202.2.32.232 to 202.2.32.233—2
118202.2.32.234/31202.2.32.234 to 202.2.32.235—2
119202.2.32.236/31202.2.32.236 to 202.2.32.237—2
120202.2.32.238/31202.2.32.238 to 202.2.32.239—2
121202.2.32.240/31202.2.32.240 to 202.2.32.241—2
122202.2.32.242/31202.2.32.242 to 202.2.32.243—2
123202.2.32.244/31202.2.32.244 to 202.2.32.245—2
124202.2.32.246/31202.2.32.246 to 202.2.32.247—2
125202.2.32.248/31202.2.32.248 to 202.2.32.249—2
126202.2.32.250/31202.2.32.250 to 202.2.32.251—2
127202.2.32.252/31202.2.32.252 to 202.2.32.253—2
128202.2.32.254/31202.2.32.254 to 202.2.32.255—2
129202.2.33.0/31202.2.33.0 to 202.2.33.1—2
130202.2.33.2/31202.2.33.2 to 202.2.33.3—2
131202.2.33.4/31202.2.33.4 to 202.2.33.5—2
132202.2.33.6/31202.2.33.6 to 202.2.33.7—2
133202.2.33.8/31202.2.33.8 to 202.2.33.9—2
134202.2.33.10/31202.2.33.10 to 202.2.33.11—2
135202.2.33.12/31202.2.33.12 to 202.2.33.13—2
136202.2.33.14/31202.2.33.14 to 202.2.33.15—2
137202.2.33.16/31202.2.33.16 to 202.2.33.17—2
138202.2.33.18/31202.2.33.18 to 202.2.33.19—2
139202.2.33.20/31202.2.33.20 to 202.2.33.21—2
140202.2.33.22/31202.2.33.22 to 202.2.33.23—2
141202.2.33.24/31202.2.33.24 to 202.2.33.25—2
142202.2.33.26/31202.2.33.26 to 202.2.33.27—2
143202.2.33.28/31202.2.33.28 to 202.2.33.29—2
144202.2.33.30/31202.2.33.30 to 202.2.33.31—2
145202.2.33.32/31202.2.33.32 to 202.2.33.33—2
146202.2.33.34/31202.2.33.34 to 202.2.33.35—2
147202.2.33.36/31202.2.33.36 to 202.2.33.37—2
148202.2.33.38/31202.2.33.38 to 202.2.33.39—2
149202.2.33.40/31202.2.33.40 to 202.2.33.41—2
150202.2.33.42/31202.2.33.42 to 202.2.33.43—2
151202.2.33.44/31202.2.33.44 to 202.2.33.45—2
152202.2.33.46/31202.2.33.46 to 202.2.33.47—2
153202.2.33.48/31202.2.33.48 to 202.2.33.49—2
154202.2.33.50/31202.2.33.50 to 202.2.33.51—2
155202.2.33.52/31202.2.33.52 to 202.2.33.53—2
156202.2.33.54/31202.2.33.54 to 202.2.33.55—2
157202.2.33.56/31202.2.33.56 to 202.2.33.57—2
158202.2.33.58/31202.2.33.58 to 202.2.33.59—2
159202.2.33.60/31202.2.33.60 to 202.2.33.61—2
160202.2.33.62/31202.2.33.62 to 202.2.33.63—2
161202.2.33.64/31202.2.33.64 to 202.2.33.65—2
162202.2.33.66/31202.2.33.66 to 202.2.33.67—2
163202.2.33.68/31202.2.33.68 to 202.2.33.69—2
164202.2.33.70/31202.2.33.70 to 202.2.33.71—2
165202.2.33.72/31202.2.33.72 to 202.2.33.73—2
166202.2.33.74/31202.2.33.74 to 202.2.33.75—2
167202.2.33.76/31202.2.33.76 to 202.2.33.77—2
168202.2.33.78/31202.2.33.78 to 202.2.33.79—2
169202.2.33.80/31202.2.33.80 to 202.2.33.81—2
170202.2.33.82/31202.2.33.82 to 202.2.33.83—2
171202.2.33.84/31202.2.33.84 to 202.2.33.85—2
172202.2.33.86/31202.2.33.86 to 202.2.33.87—2
173202.2.33.88/31202.2.33.88 to 202.2.33.89—2
174202.2.33.90/31202.2.33.90 to 202.2.33.91—2
175202.2.33.92/31202.2.33.92 to 202.2.33.93—2
176202.2.33.94/31202.2.33.94 to 202.2.33.95—2
177202.2.33.96/31202.2.33.96 to 202.2.33.97—2
178202.2.33.98/31202.2.33.98 to 202.2.33.99—2
179202.2.33.100/31202.2.33.100 to 202.2.33.101—2
180202.2.33.102/31202.2.33.102 to 202.2.33.103—2
181202.2.33.104/31202.2.33.104 to 202.2.33.105—2
182202.2.33.106/31202.2.33.106 to 202.2.33.107—2
183202.2.33.108/31202.2.33.108 to 202.2.33.109—2
184202.2.33.110/31202.2.33.110 to 202.2.33.111—2
185202.2.33.112/31202.2.33.112 to 202.2.33.113—2
186202.2.33.114/31202.2.33.114 to 202.2.33.115—2
187202.2.33.116/31202.2.33.116 to 202.2.33.117—2
188202.2.33.118/31202.2.33.118 to 202.2.33.119—2
189202.2.33.120/31202.2.33.120 to 202.2.33.121—2
190202.2.33.122/31202.2.33.122 to 202.2.33.123—2
191202.2.33.124/31202.2.33.124 to 202.2.33.125—2
192202.2.33.126/31202.2.33.126 to 202.2.33.127—2
193202.2.33.128/31202.2.33.128 to 202.2.33.129—2
194202.2.33.130/31202.2.33.130 to 202.2.33.131—2
195202.2.33.132/31202.2.33.132 to 202.2.33.133—2
196202.2.33.134/31202.2.33.134 to 202.2.33.135—2
197202.2.33.136/31202.2.33.136 to 202.2.33.137—2
198202.2.33.138/31202.2.33.138 to 202.2.33.139—2
199202.2.33.140/31202.2.33.140 to 202.2.33.141—2
200202.2.33.142/31202.2.33.142 to 202.2.33.143—2
201202.2.33.144/31202.2.33.144 to 202.2.33.145—2
202202.2.33.146/31202.2.33.146 to 202.2.33.147—2
203202.2.33.148/31202.2.33.148 to 202.2.33.149—2
204202.2.33.150/31202.2.33.150 to 202.2.33.151—2
205202.2.33.152/31202.2.33.152 to 202.2.33.153—2
206202.2.33.154/31202.2.33.154 to 202.2.33.155—2
207202.2.33.156/31202.2.33.156 to 202.2.33.157—2
208202.2.33.158/31202.2.33.158 to 202.2.33.159—2
209202.2.33.160/31202.2.33.160 to 202.2.33.161—2
210202.2.33.162/31202.2.33.162 to 202.2.33.163—2
211202.2.33.164/31202.2.33.164 to 202.2.33.165—2
212202.2.33.166/31202.2.33.166 to 202.2.33.167—2
213202.2.33.168/31202.2.33.168 to 202.2.33.169—2
214202.2.33.170/31202.2.33.170 to 202.2.33.171—2
215202.2.33.172/31202.2.33.172 to 202.2.33.173—2
216202.2.33.174/31202.2.33.174 to 202.2.33.175—2
217202.2.33.176/31202.2.33.176 to 202.2.33.177—2
218202.2.33.178/31202.2.33.178 to 202.2.33.179—2
219202.2.33.180/31202.2.33.180 to 202.2.33.181—2
220202.2.33.182/31202.2.33.182 to 202.2.33.183—2
221202.2.33.184/31202.2.33.184 to 202.2.33.185—2
222202.2.33.186/31202.2.33.186 to 202.2.33.187—2
223202.2.33.188/31202.2.33.188 to 202.2.33.189—2
224202.2.33.190/31202.2.33.190 to 202.2.33.191—2
225202.2.33.192/31202.2.33.192 to 202.2.33.193—2
226202.2.33.194/31202.2.33.194 to 202.2.33.195—2
227202.2.33.196/31202.2.33.196 to 202.2.33.197—2
228202.2.33.198/31202.2.33.198 to 202.2.33.199—2
229202.2.33.200/31202.2.33.200 to 202.2.33.201—2
230202.2.33.202/31202.2.33.202 to 202.2.33.203—2
231202.2.33.204/31202.2.33.204 to 202.2.33.205—2
232202.2.33.206/31202.2.33.206 to 202.2.33.207—2
233202.2.33.208/31202.2.33.208 to 202.2.33.209—2
234202.2.33.210/31202.2.33.210 to 202.2.33.211—2
235202.2.33.212/31202.2.33.212 to 202.2.33.213—2
236202.2.33.214/31202.2.33.214 to 202.2.33.215—2
237202.2.33.216/31202.2.33.216 to 202.2.33.217—2
238202.2.33.218/31202.2.33.218 to 202.2.33.219—2
239202.2.33.220/31202.2.33.220 to 202.2.33.221—2
240202.2.33.222/31202.2.33.222 to 202.2.33.223—2
241202.2.33.224/31202.2.33.224 to 202.2.33.225—2
242202.2.33.226/31202.2.33.226 to 202.2.33.227—2
243202.2.33.228/31202.2.33.228 to 202.2.33.229—2
244202.2.33.230/31202.2.33.230 to 202.2.33.231—2
245202.2.33.232/31202.2.33.232 to 202.2.33.233—2
246202.2.33.234/31202.2.33.234 to 202.2.33.235—2
247202.2.33.236/31202.2.33.236 to 202.2.33.237—2
248202.2.33.238/31202.2.33.238 to 202.2.33.239—2
249202.2.33.240/31202.2.33.240 to 202.2.33.241—2
250202.2.33.242/31202.2.33.242 to 202.2.33.243—2
251202.2.33.244/31202.2.33.244 to 202.2.33.245—2
252202.2.33.246/31202.2.33.246 to 202.2.33.247—2
253202.2.33.248/31202.2.33.248 to 202.2.33.249—2
254202.2.33.250/31202.2.33.250 to 202.2.33.251—2
255202.2.33.252/31202.2.33.252 to 202.2.33.253—2
256202.2.33.254/31202.2.33.254 to 202.2.33.255—2

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses